echo off
cls
echo *************************************************************
echo *  Canine Express  Installation Batch File for  K9X  v8.40  *
echo *  Copyright 1989 Crater Rim Software. All rights reserved  *
echo *     - - - - - - - - - - - - - - - - - - - - - - - - -     *
echo * This batch file will create the required directories  and *
echo * subdirectories used by K9X and Move all of the files into *
echo * their respective areas. Do you wish to install  K9X  now? *
echo *************************************************************
waitkey "yn","Press Y for Yes  or  N for No ",0
if errorlevel 2 goto done
echo . Ok!
md \K9X
md \K9X\SUPP
md \K9X\LOGS
move K9X.PRE \K9X\SUPP
move MININET.K9X \K9X\SUPP
move PCBOARD.K9X \K9X\SUPP
move PCP.K9X \K9X\SUPP
move RBBS.K9X \K9X\SUPP
move CALL.LOG \K9X\LOGS
move K9X.COM \K9X
move K9X.0* \K9X
move K9XCNF.* \K9X
move JBA.COM \K9X
move KTREE.COM \K9X
move CIS.EXE \K9X
move PCKERMIT.EXE \K9X
move KERMIT.BAT \K9X
move K9XSUPP.DOC \K9X
move LICENSE.K9X \K9X
move MAILER.K9X \K9X
move CIS.TXT \K9X
move WHATS.NEW \K9X
copy WAITKEY.EXE \K9X >nul
cls
echo *************************************************************
echo * There are 2 pre-made  K9X  configuration files available. *
echo * You may select one of them or configure K9X from scratch. *
echo *    A - Configure K9X from scratch                         *
echo *    B - Color card and B&W Monitor                         *
echo *    C - Color Card and Color Monitor                       *
echo * Which configuration whould you like? (A/B/C)              *
echo *************************************************************
Waitkey "abc","Press A, B  or  C  please ",0
echo . Ok!
if errorlevel 3 goto color
if errorlevel 2 goto bw
del COLOR.CNF
del B&W.CNF
goto scratch
:color
ren COLOR.CNF K9X.CNF
del B&W.CNF
goto gotit
:bw
ren B&W.CNF K9X.CNF
del COLOR.CNF
:gotit
move K9X.CNF \K9X\SUPP
:scratch
cd\K9X
cls
echo **************************************************************
echo * The drive table consists of all directories/subdirectories *
echo * on your system beginning with drive letter C   Do you wish *
echo * to create the K9X File Find Drive Table Now?               *
echo **************************************************************
waitkey "yn","Press Y for Yes  or  N for No ",0
echo . Ok!
if errorlevel 2 goto next
KTREE
:next
K9XCNF
del waitkey.exe
cls
echo ************************************************************
echo * Be sure to DELete  MOVE.COM, WAITKEY.EXE and INSTALL.BAT *
echo * from your Installation starting point  and take a minute *
echo * to read the licensing agreement and documentation!       *
echo *    - - - - - - - - - - - - - - - - - - - - - - - - -     *
echo * Thankyou for taking the time to evaluate  K9X!  We think *
echo * it is by far, the  BEST  comm package available to date! *
echo * If you find K9X useful, please show your support for our *
echo * work by registering this copy! Thanks again...           *
echo *                                                          *
echo *      Keep the Faith and... Enjoy!                        *
echo *                         Sal Manaro                       *
echo ************************************************************
:done
